# Generated from apiotics-aws-iot-client-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name apiotics-aws-iot-client

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: The ruby version of the AWS IoT Device SDK. It enables to connect to AWS IoT platform and manage Things
License: Apache-2.0
URL: https://portal.apiotics.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10.4
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(pry) >= 0.10.4
# BuildRequires: rubygem(rspec) >= 3.5.0
# BuildRequires: rubygem(rspec) < 3.6
# BuildRequires: rubygem(rspec) >= 3.5.0
BuildArch: noarch

%description
The gem is using the MQTT protocol to execute the command defined by the AWS
IoT platform. A default MQTT client is included in the gem, however an adapter
system enables to plug another MQTT client.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Sun Sep 12 2021 mockbuilder - 1.0.0-1
- Initial package
